# encoding: utf-8

module Flow
  module Build
    module Service
      class Git
        module SshKey
          def install_ssh_key
            script << "mkdir -p $HOME/.ssh"
            script << "echo \"#{ssh_key}\" >> $HOME/.ssh/id_rsa"
            script << "chmod 600 $HOME/.ssh/id_rsa"
            script << "eval `ssh-agent` &> /dev/null"
            script << "ssh-add $HOME/.ssh/id_rsa &> /dev/null"
            script << "echo \"Host #{git_host}\n\tBatchMode yes\n\tStrictHostKeyChecking no\n\" >> $HOME/.ssh/config"
            script << "\n"
          end
        end
      end
    end
  end
end
