# encoding: utf-8

module Flow
  module Build
    module Service
      class Git
        module Clone
          def git_clone
            cmd = "git clone --depth=50 --branch=#{branch} #{git_url} #{repo_dir}/#{repo_name}".shellescape
            script << "cd $HOME/build"
            script << "flow_cmd #{cmd} --echo --timing"
            script << "cd #{repo_dir}/#{repo_name}"
            script << "\n"
          end
        end
      end
    end
  end
end
