# encoding: utf-8

module Flow
  module Build
    module Service
      class Parser
        module Nodejs
          def nodejs_apply(version)
            script = ['source $HOME/.nvm/nvm.sh']
            script << flow_cmd('nvm --version', echo: true)
            script << flow_cmd("nvm use #{version}", echo: true, assert: true, timing: true)
            script << flow_cmd('node --version', echo: true)
            script << flow_cmd('npm --version', echo: true)
            script << flow_cmd('npm install ', echo: true, retry: true, timing: true)
            script << flow_cmd('npm test', echo: true, timing: true)
            script.join("\n")
          end
        end
      end
    end
  end
end
